﻿.menuOption {
    position:fixed;
    right:0px;
    top:0px;
    height:100%;
    width:500px;
    background-color: white;
    box-shadow:7px 0px 31px 2px black;
    display:none;
}

.activMenuOption {    
    float: right;
    z-index: 10;
    font-size: 20px;
    cursor: pointer;
    margin-top: 5px;
    margin-right: 0px;
    background-color: #FFFFFF88;
    padding: 5px 10px;
    border-radius: 5px;
    color: #777;
    transition:0.25s;
}

    .activMenuOption i {
        transition:0s;
    }

.activMenuOption:hover{
    background-color:#CB297B;
    box-shadow: 0px 5px 12px -6px #212121;
    color:white;
}

.desactivMenuOption {
    font-size:30px;
    margin-top:20px;
    margin-right:30px;
    cursor:pointer;
    float:right;
    color:#333;
}

.lienMenuOption {
    color:black;
    width:80%;
    margin-left:auto;
    margin-right:auto;
    height:50px;
    line-height:50px;
    /*text-align:center;*/
    text-align:right;
    font-size:20px;
    cursor:pointer;
    border-bottom:1px solid #DEDEDE;
    background-color:white;
    transition:0.25s;
    white-space: nowrap;
}

    .lienMenuOption:last-of-type {
        border-bottom:0px;
    }

.lienMenuOption:hover {
    /*font-size:23px;*/
    border-bottom: 1px solid #99195E;
}

.lienMenuOption h3 {
    font-size:20px !important;
    transition:0.25s;
    line-height:50px !important;
    font-weight:bold !important;
}

.lienMenuOption:hover h3{
    /*font-size:23px !important;*/
    transform: translateX(-25px);
    color: #99195E;
}

.boxContentMenuOptions {
    margin-top:50px;
}

.shadowMenuOption {
    z-index:9999999;
    background-color:#122D46;
    position:fixed;
    top:0;
    left:0;
    opacity:0.9;
    width:100%;
    height:100%;
    display:none;
}

.optionHideOnDesktop {
        display:none;
    }

/* ------------- Lier à headerNavigationLogo.css ---------------*/

@media screen and (max-width: 615px) {
    .optionHideOnDesktop {
        display:block;
    }

    .lienMenuOption {
        color:black;
        width:80%;
        margin-left:auto;
        margin-right:auto;
        line-height:12px;
        text-align:center;
        font-size:12px;
        cursor:pointer;
        border-bottom:1px solid #DEDEDE;
        background-color:white;
        transition:0.25s;
        white-space: nowrap;
        height: 25px;
    }

    .lienMenuOption h3{
        font-size:12px !important;
        transition:0.25s;
        line-height:12px !important;
        font-weight:bold !important;
    }

    .lienMenuOption:hover h3{
        transform:translateX(0px);
    }

}